import("./utils-364dbf4b.mjs").then((i) => {
  import(
    /* @vite-ignore */
    i.coreVersion()
  ).then((e) => {
    e.Sib.register({
      name: "solid-badge",
      use: [
        e.StoreMixin
      ],
      attributes: {
        dataType: {
          type: String,
          default: ""
        },
        dataRdfType: {
          type: String,
          default: ""
        }
      },
      initialState: {
        notificationComponent: null,
        refreshCallback: null,
        readCallback: null,
        currentCount: null
      },
      created() {
        this.currentCount = 0, this.notificationComponent = null, this.refreshCallback = this.populate.bind(this), this.readCallback = (t) => {
          this.element.querySelector(".counter") && t.detail && t.detail.resource && t.detail.resource["@id"] && t.detail.resource["@id"] == this.resourceId && this.setBadgeRead();
        }, window.addEventListener("read", this.readCallback), window.addEventListener("notificationsCountRefresh", this.refreshCallback);
      },
      detached() {
        window.removeEventListener("read", this.readCallback), window.removeEventListener("notificationsCountRefresh", this.refreshCallback);
      },
      empty() {
      },
      /**
       * Finds and save reference to notification component
       */
      findNotificationComponent() {
        const t = document.querySelector("solid-notifications");
        this.notificationComponent = t ? t.component : null;
      },
      /**
       * Get badge count
       */
      getCount() {
        return !this.notificationComponent && (this.findNotificationComponent(), !this.notificationComponent) ? (console.warn("No solid-notification component found."), 0) : this.notificationComponent.unreadObjects.filter((t) => (this.dataType ? t.type === this.dataType : !0) && (this.dataRdfType ? t.objectType === this.dataRdfType : !0) && (this.resourceId ? t.objectId === this.resourceId : !0)).length;
      },
      empty() {
      },
      getTemplate(t) {
        return e.html`<div class="counter" data-nb-unread=${t}>${t}</div>`;
      },
      setBadgeRead() {
        this.currentCount = 0, this.render();
      },
      populate() {
        const t = this.getCount();
        this.currentCount !== t && (this.currentCount = t, this.render());
      },
      render() {
        e.render(this.getTemplate(this.currentCount), this.element);
      }
    });
  });
});
