import './styles/notification.css';
import './styles/badge.css';
import('./utils.js').then(utils => {
  import(/* @vite-ignore */utils.coreVersion()).then(async (core) => {
    core.Helpers.importCSS(utils.path() + '/style.css?min');
    core.Helpers.importJS('https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js');
  
    await import("./solid-notifications.js");
    await import("./solid-notifications-template.js");
    await import("./solid-badge.js");
  });
});