import('./utils.js').then(utils => {
  import(/* @vite-ignore */utils.coreVersion()).then(core => {
    core.Sib.register({
      name: 'solid-notifications-template',
      attributes: {
        dataRdfType: {
          type: String,
          default: null
        }
      },
      created() {
        const template = this.element.querySelector('template');
        if (template && this.dataRdfType) {
          let expType = core.store.getExpandedPredicate(this.dataRdfType);
          document.querySelectorAll('solid-notifications').forEach(el => {
            el.component.registerTemplate(expType, template);
          });
        }
      },
    });
  });
});