(function(l){typeof define=="function"&&define.amd?define(l):l()})(function(){"use strict";const l="",_="";Promise.resolve().then(()=>r).then(o=>{import(o.coreVersion()).then(async e=>{e.Helpers.importCSS(o.path()+"/style.css?min"),e.Helpers.importJS("https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js"),await Promise.resolve().then(()=>m),await Promise.resolve().then(()=>p),await Promise.resolve().then(()=>f)})});const c="notifications";function u(){let o=".";if(window.orbit){let e=window.orbit.npm.find(t=>t.package==`@startinblox/component-${c}`);o=`https://cdn.jsdelivr.net/npm/${e.package}@${e.version}/dist`,e.path&&(o=e.path.replace("/index.js",""))}return o}function h(){let o="https://cdn.jsdelivr.net/npm/@startinblox/core@0.19/dist/index.js";if(window.orbit){let e=window.orbit.npm.find(t=>t.package=="@startinblox/core");o=`https://cdn.jsdelivr.net/npm/@startinblox/core@${e.version}/dist/index.js`,e.path&&(o=e.path)}return o}const r=Object.freeze(Object.defineProperty({__proto__:null,coreVersion:h,path:u},Symbol.toStringTag,{value:"Module"}));Promise.resolve().then(()=>r).then(o=>{import(o.coreVersion()).then(e=>{e.Sib.register({name:"solid-notifications",use:[e.ListMixin,e.StoreMixin],attributes:{dateFormat:{type:String,default:"DD/MM/YYYY - kk:mm"}},initialState:{favicon:null,title:null,unreadCount:null,unreadObjects:null,templates:null},created(){import("https://cdn.skypack.dev/pin/favico.js-slevomat@v0.3.11-nyhOUAG4pt59qOhDEHAg/min/favico.js-slevomat.js").then(t=>{this.favicon=new t.default({animation:"none"})}),this.title="",this.templates={},this.unreadObjects=[],window.addEventListener("read",t=>{t.detail&&t.detail.resource&&t.detail.resource["@id"]?this._onReadResource(t.detail.resource["@id"]):this._printError("Resource parameter is missing. Check the documentation: https://git.startinblox.com/framework/sib-notifications")}),document.addEventListener("click",t=>{t.target.closest(".solid-notifications")||this._closeMenu()}),window.setInterval(()=>{this.element.querySelector("details")&&!this.element.querySelector("details").hasAttribute("open")&&this.refresh()},3e4)},empty(){},async renderDOM(t){const i=await this.getUnread(t),n=this.getTemplate(t,i.length);e.render(n,this.element),this._updateUnread(i)},async getUnread(t){const i=[];for(const n of t)if(n&&await n.unread&&await n.object){const s=await Promise.all([n.type,n.object,n["object.@type"]]).then(([a,d,b])=>({objectId:d["@id"],objectType:b,type:a})).catch(()=>null);i.push(s)}return i},getTemplate(t,i){return e.html`
          <div class="solid-notifications">
            <details class="solid-notifications__container">
              <summary class="solid-notifications__button">
                <img src="${o.path()}/assets/notification-icon.svg" />
                <div class="solid-notifications__counter">
                  <span data-nb-unread=${i}>${i}</span>
                </div>
              </summary>
              <div class="solid-notifications__arrow solid-notifications__triangle-back"></div>
              <div class="solid-notifications__arrow solid-notifications__triangle-shadow"></div>
              <div class="solid-notifications__list">
                ${e.until(this.getNotificationsTemplate(t))}
              </div>
            </details>
          </div>
        `},async getNotificationsTemplate(t){const i=[];for(const n of t)await n.object&&i.push(e.html`
            <div
              class="solid-notifications__item"
              @click=${()=>this._onClickNotification(n.object)}
            >
              <div
                class="solid-notification"
                ?data-read=${e.until(n.unread.then(s=>!s),!1)}
              >
                ${e.until(this.getNotificationTemplate(n))}
                <div class="solid-notification__read">
                  <button
                    @click=${s=>this._onClickUnread(s,n)}
                    data-unread=${e.until(n.unread.then(s=>s?"unread":"read"),"read")}
                  ></button>
                </div>
              </div>
            </div>`);return i},async getNotificationTemplate(t){const n=(await t.object)["@type"];if(n&&this.templates[n]){const s=await Promise.all([t.summary,this._getFormattedDate(t.date),t.object,t.author,t.unread]);let a;try{a=await e.Helpers.evalTemplateString(this.templates[n].innerHTML,{summary:this._sanitizeHTML(s[0]),date:s[1],object:s[2],author:s[3],unread:s[4]})}catch{a="<div>Notification not available</div>"}return e.html`${e.unsafeHTML(a)}`}return e.html`
          <div class="solid-notification__avatar">
            <img src=${e.until(t["author.account.picture"].then(s=>s||""),"")} />
          </div>
          <div class="solid-notification__content">
            <solid-display
              class="solid-notification__title"
              data-src=${e.until(t.object.then(s=>s["@id"]).catch(()=>""),"")}
              fields="name"
            ></solid-display>
            <p class="solid-notification__summary">${e.until(t.summary)}</p>
            <div class="solid-notification__date">
              ${e.until(this._getFormattedDate(t.date),"")}
            </div>
          </div>
        `},async refresh(){this.resource&&this.resource.clearCache(),e.store.getData(this.resourceId,this.context).then(this.updateDOM.bind(this))},registerTemplate(t,i){this.templates[t]=i},async _onReadResource(t){if(!this.resource)return;let i=[];for await(const n of this.resource["ldp:contains"])await n.unread&&(await n["object.@id"]===t||n["@id"]===t)&&i.push(e.store.patch({unread:!1,"@context":this.context},n["@id"]).catch(s=>s));i.length&&Promise.all(i).then(()=>this.refresh()).catch(n=>this._printError(n))},async _onClickNotification(t){t=await t,t&&(window.dispatchEvent(new CustomEvent("requestNavigation",{detail:{resource:t}})),this._closeMenu())},_onClickUnread(t,i){t.stopPropagation(),this._closeMenu(),window.dispatchEvent(new CustomEvent("read",{detail:{resource:i}})),t.target.disabled=!0},_getFormattedDate(t){return t.then(i=>i?moment(i.toString()).format(this.dateFormat):"")},_updateUnread(t){t===null||t.length===this.unreadCount&&this.sameUnreads(this.unreadObjects,t)||(this.unreadCount=t.length,this.favicon&&this.favicon.badge(this.unreadCount),this.title===""&&(this.title=document.title),t.length>0?document.title="("+this.unreadCount+") "+this.title:document.title=this.title,this.unreadObjects=[...t],window.dispatchEvent(new CustomEvent("notificationsCountRefresh",{bubbles:!0})))},sameUnreads(t,i){for(const[n,s]of t.entries())if(s.objectId!==i[n].objectId||s.objectType!==i[n].objectType||s.type!==i[n].type)return!1;return!0},_closeMenu(){const t=this.element.querySelector("details");t&&t.removeAttribute("open")},_printError(t){console.error(t)},_sanitizeHTML(t){if(!t)return"";const i=document.createElement("div");return i.innerText=t,i.innerHTML}})})});const m=Object.freeze(Object.defineProperty({__proto__:null},Symbol.toStringTag,{value:"Module"}));Promise.resolve().then(()=>r).then(o=>{import(o.coreVersion()).then(e=>{e.Sib.register({name:"solid-notifications-template",attributes:{dataRdfType:{type:String,default:null}},created(){const t=this.element.querySelector("template");if(t&&this.dataRdfType){let i=e.store.getExpandedPredicate(this.dataRdfType);document.querySelectorAll("solid-notifications").forEach(n=>{n.component.registerTemplate(i,t)})}}})})});const p=Object.freeze(Object.defineProperty({__proto__:null},Symbol.toStringTag,{value:"Module"}));Promise.resolve().then(()=>r).then(o=>{import(o.coreVersion()).then(e=>{e.Sib.register({name:"solid-badge",use:[e.StoreMixin],attributes:{dataType:{type:String,default:""},dataRdfType:{type:String,default:""}},initialState:{notificationComponent:null,refreshCallback:null,readCallback:null,currentCount:null},created(){this.currentCount=0,this.notificationComponent=null,this.refreshCallback=this.populate.bind(this),this.readCallback=t=>{this.element.querySelector(".counter")&&t.detail&&t.detail.resource&&t.detail.resource["@id"]&&t.detail.resource["@id"]==this.resourceId&&this.setBadgeRead()},window.addEventListener("read",this.readCallback),window.addEventListener("notificationsCountRefresh",this.refreshCallback)},detached(){window.removeEventListener("read",this.readCallback),window.removeEventListener("notificationsCountRefresh",this.refreshCallback)},empty(){},findNotificationComponent(){const t=document.querySelector("solid-notifications");this.notificationComponent=t?t.component:null},getCount(){return!this.notificationComponent&&(this.findNotificationComponent(),!this.notificationComponent)?(console.warn("No solid-notification component found."),0):this.notificationComponent.unreadObjects.filter(t=>(this.dataType?t.type===this.dataType:!0)&&(this.dataRdfType?t.objectType===this.dataRdfType:!0)&&(this.resourceId?t.objectId===this.resourceId:!0)).length},empty(){},getTemplate(t){return e.html`<div class="counter" data-nb-unread=${t}>${t}</div>`},setBadgeRead(){this.currentCount=0,this.render()},populate(){const t=this.getCount();this.currentCount!==t&&(this.currentCount=t,this.render())},render(){e.render(this.getTemplate(this.currentCount),this.element)}})})});const f=Object.freeze(Object.defineProperty({__proto__:null},Symbol.toStringTag,{value:"Module"}))});
