const componentName = 'notifications'; //TODO: Get it from the packages.json

export function path() {
  let path = ".";
  if(window.orbit) {
    let component = window.orbit.npm.find(e=>e.package==`@startinblox/component-${componentName}`);
    path = `https://cdn.jsdelivr.net/npm/${component.package}@${component.version}/dist`;
    if(component.path) {
      path = component.path.replace('/index.js', '')
    }
  }
  return path;
}

export function coreVersion() {
  let coreUrl = "https://cdn.jsdelivr.net/npm/@startinblox/core@0.19/dist/index.js";
  if(window.orbit) {
    let core = window.orbit.npm.find(e=>e.package=='@startinblox/core');
    coreUrl = `https://cdn.jsdelivr.net/npm/@startinblox/core@${core.version}/dist/index.js`;
    if(core.path) {
      coreUrl = core.path;
    }
  }
  return coreUrl;
}
