import { resolve } from "path";
import { defineConfig } from "vite";

export default defineConfig({
  css: {
    preprocessorOptions: {
      scss: {
        quietDeps: true,
      },
    },
  },
  build: {
    lib: {
      entry: resolve(__dirname, "src/index.js"),
      name: JSON.stringify(process.env.npm_package_name),
      fileName: () => "index.js",
    },
  },
});
